Bug 1125721 - Use version properties instead of hardcode versions in dependencyManagment of kie-parent-with-dependencies
Summary: Use version properties instead of hardcode versions in dependencyManagment of...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Build and Assembly
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: 6.1.0
Assignee: Michael
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 02:26 UTC by Ryan Zhang
Modified: 2019-01-01 02:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
droolsjbpm-build-bootstrap.patch (2.35 KB, patch)
2014-08-01 02:32 UTC, Ryan Zhang
no flags Details | Diff

Description Ryan Zhang 2014-08-01 02:26:39 UTC
Description of problem:
There are several cases that dependencyManagement version is not using version properties.
There are mainly two problem:
1)It's not consistent with other usage of version propertis
2)It's not easy to maintain when doing productization. 

So Might I suggest that let's uses version properties for all dependencyManagement.

(Attached a patch for kie-parent-with-dependencies for this request).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Ryan Zhang 2014-08-01 02:32:08 UTC
Created attachment 923053 [details]
droolsjbpm-build-bootstrap.patch

Comment 3 Ryan Zhang 2014-08-01 02:53:55 UTC
This is a tiny change but it's important for productization.

It is really helpful if we can have it for milestone 2 tag.

Comment 5 Ryan Zhang 2014-08-04 02:51:29 UTC
Thanks, Michael!
(In reply to Michael from comment #4)
> Hard coded versions were removed in kie-parent-with-dependencies.pom
> https://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/
> 710f2f9aaba4b5c61dd19ba8d8c0bec8be9d31d5
> and 
> https://github.com/droolsjbpm/droolsjbpm-build-bootstrap/commit/
> 581c540ea9441fc800b90b00da395c42f5b93c0a
> and a PR was send to ip-bom.

Comment 8 Petr Široký 2014-09-12 09:29:34 UTC
The changes are indeed there and Ryan already verified it is working for prod.


Note You need to log in before you can comment on or make changes to this bug.